Bug 663688 - ip(8) man page fixes
ip(8) man page fixes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
rawhide
All All
low Severity low
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
: EasyFix, ManPageChange, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-16 11:08 EST by John Bradshaw
Modified: 2011-03-10 02:45 EST (History)
5 users (show)

See Also:
Fixed In Version: iproute-2.6.37-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-10 02:45:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for iproute-2.6.18-11.el5 (1.52 KB, patch)
2010-12-16 11:39 EST, Petr Šabata
no flags Details | Diff
Patch for iproute2-git-1e21ea71a7e12e6bd06ece8cf415e7a5f372c806 (1.45 KB, patch)
2010-12-16 11:40 EST, Petr Šabata
no flags Details | Diff

  None (edit)
Description John Bradshaw 2010-12-16 11:08:40 EST
Description of problem:
ip(8) man page has spelling and grammar errors

Version-Release number of selected component (if applicable):
iproute-2.6.18-11.el5

How reproducible:
Always

Steps to Reproduce:
man 8 ip

Additional info:
 diff ip.8  ip_fixed
1063c1063
< the commoand flushes the contents of address labels and it does not restore default settings.
---
> the command flushes the contents of address labels and it does not restore default settings.
1101c1101
< is an abbreviation for 'Neigh bour Unreachability Detection'.
---
> is an abbreviation for 'Neighbour Unreachability Detection'.
1425c1425
< routing code to maintain compatability with previous releases.
---
> routing code to maintain compatibility with previous releases.
2225c2225
< It can be used these algoritms
---
> Valid algorithms are:
Comment 1 Petr Šabata 2010-12-16 11:32:20 EST
Thanks for the report, John.

Some of those were still present in the current upstream version; they should be fixed in 2.6.36.
Comment 2 Petr Šabata 2010-12-16 11:39:01 EST
Created attachment 469165 [details]
Patch for iproute-2.6.18-11.el5
Comment 3 Petr Šabata 2010-12-16 11:40:14 EST
Created attachment 469166 [details]
Patch for iproute2-git-1e21ea71a7e12e6bd06ece8cf415e7a5f372c806

Submitted upstream.
Comment 5 John Bradshaw 2010-12-16 19:25:43 EST
Thanks Petr.

Should I always give diffs using the --git option?  Found a few other typos in other man pages so would like to make this as easy as possible for the maintainers next time.

Anything else I should include?
Comment 6 Petr Šabata 2010-12-17 03:30:02 EST
(In reply to comment #5)
> Thanks Petr.
> 
> Should I always give diffs using the --git option?  Found a few other typos in
> other man pages so would like to make this as easy as possible for the
> maintainers next time.
> 
> Anything else I should include?

John,

It's all about the maintainer's choice; I suppose unified diff is usually the preferred option, though.

I'm looking forward to more patches from you :) Also, for your information, the changes have been accepted upstream.

Petr
Comment 7 John Bradshaw 2010-12-20 12:59:38 EST
Started adding diff -u patches to my other reports :)
Thanks for the tutorial as well as sorting this ticket.
Comment 8 Ondrej Vasik 2011-03-09 15:32:09 EST
Moving this bug to Fedora as agreed with the reporter. I apologize if the manpage typo/grammar error was already fixed in version included in the Fedora, if that's the case, feel free to close the bug.
Comment 9 Petr Šabata 2011-03-10 02:45:25 EST
Fixed upstream, see comments 1 and 3.
Available in iproute-2.6.37-1.fc15 and newer.

Note You need to log in before you can comment on or make changes to this bug.